//
//  JsonHelper.h
//  NDSEngineB2D
//
//  Created by Justin Hawkwood on 2013/08/06.
//
//

#ifndef __NDSEngineB2D__JsonHelper__
#define __NDSEngineB2D__JsonHelper__

#include <iostream>
#include "cocos2d.h"
#include "json/rapidjson.h"
#include "json/document.h"

using namespace cocos2d;
// using namespace rapidjson;

Object *objectFromJson(rapidjson::Value::ConstValueIterator valueIt);
rapidjson::Value *jsonFromObject(Object* obj, rapidjson::Document *document);

bool saveObjectToJSONFile(Object* obj, const char* fullPath);
Object *getObjectFromJSONFile(const char* filepath);

Object *getObjectFromJSONString(String *str);
Object *getObjectFromJSONString(const char *str);
Object *getObjectFromJSONString(const std::string& str);

std::string getJSONStringFromObject(Object *obj);
std::string getJSONStringFromObject(Object *obj, bool pretty);

#endif /* defined(__NDSEngineB2D__JsonHelper__) */
